VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vapi::Std::Errors::Canceled Class Reference
Inheritance diagram for Com::Vmware::Vapi::Std::Errors::Canceled:

## Avaliable Methods
public method | new ()

## Detailed Description

The `Com::Vmware::Vapi::Std::Errors::Canceled` error indicates that the method* canceled itself in response to an explicit request to do so. Methods being "canceled" for other reasons (for example the client connection was closed, a time out occured, or due to excessive resource consumption) should not report this error .

Examples:

- A user is monitoring the progress of the method in a GUI and sees that it is likely to take longer than he is willing to wait and clicks the cancel button.
- A user invokes the method using a command-line tool and decides that she didn't really want to invoke that method , and presses CTRL-c.

Counterexamples:

- The client's connection to the server was closed. Reporting an error is pointless since the client will not receive the error response because the connection has been closed.
- The request is taking longer than some amount of time. The class Com::Vmware::Vapi::Std::Errors::TimedOut error would be reported if the time was specified as part of the input or is documented in the API contract.

## Member Function Documentation

public method Com::Vmware::Vapi::Std::Errors::Canceled::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vapi::Std::Errors::Canceled structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 14
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->set_binding_class('binding_class' => 'Com::Vmware::Vapi::Std::Errors::Canceled');
$self->set_binding_name('name' => 'com.vmware.vapi.std.errors.canceled');
bless $self, $class;
return $self;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vapi/Std/Errors/Canceled.pm